use std::path::PathBuf;
use clap::{Args};
use manifest::Manifest;

#[derive(Args, Debug)]
pub struct Arguments {
    #[arg()]
    directory: String,
}

pub fn execute (arguments: &Arguments) {
    let Arguments { directory } = arguments;

    let directory_path: PathBuf = PathBuf::from(directory);

    let manifest = Manifest::from(&directory_path);

    match manifest.init() {
        true => println!("Project initialized"),
        false => println!("Project already initialized")
    }
}
