use std::path::PathBuf;
use clap::{Args};
use manifest::Manifest;

#[derive(Args, Debug)]
pub struct Arguments {
    #[arg()]
    directory: String,
    #[arg(default_value = "")]
    name: String,
}

pub fn execute (arguments: &Arguments) {
    let Arguments {name, directory} = arguments;

    let directory_path: PathBuf = PathBuf::from(directory);

    let manifest = Manifest::from(&directory_path);

    manifest.set_name(name.into());
}
